- Make sysvinit script exit cleanly when not running on a spice enabled vm
This commit is contained in:
parent
33a1137fcf
commit
6c7d603f03
@ -0,0 +1,28 @@
|
|||||||
|
From a167b3f8945d07137c98d4ee6c2d512d5bc0cdbd Mon Sep 17 00:00:00 2001
|
||||||
|
From: Hans de Goede <hdegoede@redhat.com>
|
||||||
|
Date: Mon, 10 Jan 2011 19:31:35 +0100
|
||||||
|
Subject: [PATCH] sysv initscript: exit cleanly when not running under spice
|
||||||
|
|
||||||
|
Exit with an exit code of 0 (iow everything ok), rather then 6 (lsb:
|
||||||
|
program not configured) when started while not running under a spice
|
||||||
|
enabled vm.
|
||||||
|
---
|
||||||
|
spice-vdagentd.sh | 2 +-
|
||||||
|
1 files changed, 1 insertions(+), 1 deletions(-)
|
||||||
|
|
||||||
|
diff --git a/spice-vdagentd.sh b/spice-vdagentd.sh
|
||||||
|
index 1ff2015..f901398 100644
|
||||||
|
--- a/spice-vdagentd.sh
|
||||||
|
+++ b/spice-vdagentd.sh
|
||||||
|
@@ -35,7 +35,7 @@ lockfile=/var/lock/subsys/$prog
|
||||||
|
|
||||||
|
start() {
|
||||||
|
[ -x $exec ] || exit 5
|
||||||
|
- [ -c $port ] || exit 6
|
||||||
|
+ [ -c $port ] || exit 0
|
||||||
|
# In case the previous running vdagentd crashed
|
||||||
|
rm -f /var/run/spice-vdagentd/spice-vdagent-sock
|
||||||
|
echo -n $"Starting $prog: "
|
||||||
|
--
|
||||||
|
1.7.3.2
|
||||||
|
|
@ -1,16 +1,17 @@
|
|||||||
Name: spice-vdagent
|
Name: spice-vdagent
|
||||||
Version: 0.6.3
|
Version: 0.6.3
|
||||||
Release: 3%{?dist}
|
Release: 4%{?dist}
|
||||||
Summary: Agent for Spice guests
|
Summary: Agent for Spice guests
|
||||||
Group: Applications/System
|
Group: Applications/System
|
||||||
License: GPLv3+
|
License: GPLv3+
|
||||||
URL: http://spice-space.org/
|
URL: http://spice-space.org/
|
||||||
Source0: http://spice-space.org/download/releases/%{name}-%{version}.tar.bz2
|
Source0: http://spice-space.org/download/releases/%{name}-%{version}.tar.bz2
|
||||||
# 4 small fixes from upstream git
|
# Some small fixes from upstream git
|
||||||
Patch0: 0001-Install-spice-vdagentd-in-usr-sbin-not-sbin.patch
|
Patch0: 0001-Install-spice-vdagentd-in-usr-sbin-not-sbin.patch
|
||||||
Patch1: 0002-Only-start-spice-vdagentd-in-runlevel-5.patch
|
Patch1: 0002-Only-start-spice-vdagentd-in-runlevel-5.patch
|
||||||
Patch2: 0003-sysv-initscript-fix-lsb-header-multi-line-descriptio.patch
|
Patch2: 0003-sysv-initscript-fix-lsb-header-multi-line-descriptio.patch
|
||||||
Patch3: 0004-Put-the-pid-and-log-files-into-their-own-subdir.patch
|
Patch3: 0004-Put-the-pid-and-log-files-into-their-own-subdir.patch
|
||||||
|
Patch4: 0005-sysv-initscript-exit-cleanly-when-not-running-under-.patch
|
||||||
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
|
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
|
||||||
BuildRequires: dbus-devel spice-protocol libXrandr-devel libXfixes-devel
|
BuildRequires: dbus-devel spice-protocol libXrandr-devel libXfixes-devel
|
||||||
BuildRequires: desktop-file-utils
|
BuildRequires: desktop-file-utils
|
||||||
@ -39,6 +40,7 @@ Features:
|
|||||||
%patch1 -p1
|
%patch1 -p1
|
||||||
%patch2 -p1
|
%patch2 -p1
|
||||||
%patch3 -p1
|
%patch3 -p1
|
||||||
|
%patch4 -p1
|
||||||
|
|
||||||
|
|
||||||
%build
|
%build
|
||||||
@ -84,6 +86,9 @@ fi
|
|||||||
|
|
||||||
|
|
||||||
%changelog
|
%changelog
|
||||||
|
* Mon Jan 10 2011 Hans de Goede <hdegoede@redhat.com> 0.6.3-4
|
||||||
|
- Make sysvinit script exit cleanly when not running on a spice enabled vm
|
||||||
|
|
||||||
* Fri Nov 19 2010 Hans de Goede <hdegoede@redhat.com> 0.6.3-3
|
* Fri Nov 19 2010 Hans de Goede <hdegoede@redhat.com> 0.6.3-3
|
||||||
- Put the pid and log files into their own subdir (#648553)
|
- Put the pid and log files into their own subdir (#648553)
|
||||||
|
|
||||||
|
Loading…
Reference in New Issue
Block a user